body {
    font-family: 'Inter', sans-serif;
    background: #E5E5E5;
    font-weight: 400;
}

.contenedor {
    width: 100%;
    height: 100%;
    max-width: 1440px;
    margin: auto;
}

.logo {
    position: absolute;
    height: 48px;
    left: 100px;
    top: 40px;
}

.titulo_logo {
    position: absolute;
    height: 50px;
    left: 140px;
    top: 30px;
    color: #0A3871;
    font-weight: bold;
}


.encriptador{
    margin: 0 40px;
    width: 100%;
    height: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.encriptador_form{
    flex-basis: calc(65% - 80px);
}

.texto_en_area{
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#texto{
    flex-basis: 100%;
    margin-top: 168px;
    margin-left: 50px;
    font-size: 32px;
    line-height: 48px;
    color:#0A3871;
    background-color: transparent;
    resize: none;
    border: none;
}


#texto:focus{
    outline: none
}

#texto::-webkit-input-placeholder {
    color: #0A3871;
}

.texto_info{
    width: 100%;
    position: relative;
}

.info {
    display: flex;
    align-items: center;
    margin: 16px 0 16px 60px;
}

.info img {
    width: 16px;
    height: 16px;
    object-fit: cover;
    display: inline-block;
}

.info p {
    margin-left: 8px;
    display: inline-block;
    color: #3d3d3d;
}

.btn {
    display: flex;
    width: 100%;
    justify-content: center;
}

.btn_encriptar {
    padding: 20px;
    position: relative;
    width: 40%;
    background: #0A3871;
    border-radius: 25px ;
    border: none;
    color: #fff;
}
.btn_encriptar img {
    position: relative;
    width: 20px;
    top: 0px;
}
.btn_encriptar:hover {
    transform: scale(1.1);
    transition: 0.4s;
}
.btn_encriptar:active {
    background: #af96c4;
}
.btn_desencriptar {
    padding: 20px;
    position: relative;
    margin-left: 30px;
    width: 40%;
    background: #fff;
    border-radius: 25px ;
    border: 1px solid #694389;
    color: #694389;
}
.btn_desencriptar img {
    position: relative;
    width: 20px;
    top: 0px;

}

.btn_desencriptar:hover {
    transform: scale(1.1);
    transition: 0.4s;
}
.btn_desencriptar:active {
    background: #041121;
    color: #fff;
}
.resultado {
    height: 730px;
    width: 100%;
    margin: 40px 40px;
    flex-basis: calc(35% - 80px);
}

.contenedor_resultado {
    width: 90%;
    min-width: 300px;
    height: 100%;
    background: #fff;
    position: relative;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    border-radius: 20px;
 }

 
 .imagen_resultado {
    width: 180px;
    height: 250px;
    display: block;
    margin: auto;
}

.imagen_resultado {
    object-fit: contain;
    width: 336px;
    height: 304px;
    filter: saturate(70%);
}


.contenido_resuelto {
    display: flex;
    flex-direction: column;
    margin: 20px;
    display: flex;
    align-items: center;
}

.contenedor_resultado p:nth-child(2) {
    text-align: center;
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
}

.contenedor_resultado p:nth-child(3) {
    text-align: center;
    font-size: 16px;
    font-style: normal;
}

#textoResultado {
    position: absolute;
    top: 10px;
    left: 25px;
    right: 25px;
    height: 85%;
    resize: none;
    border: none;
    background: transparent;
}

.contenido_resuelto button {
    position: absolute;
    bottom: 50px;
    padding: 20px;
    position: relative;
    top: 90px;
    width: 60%;
    background: #fff;
    border-radius: 25px ;
    border: 1px solid #0A3871;
    color: #0A3871;
    visibility: hidden;
}

.contenido_resuelto button:active{
    transform: scale(0.9);
}

#copiar img {
    position: relative;
    width: 20px;
    top: 2px; 
    right: 10px;
}


footer {
    padding: 20px;
    text-align: center;
}

.copyright {
    color: #052751;
    font-size: 17px;
    margin: 80px;
    font-weight: 600;
}

.copyright a {
    text-decoration: none;
    font-style: normal;
    color: #052751;
}

.copyright a:hover {
    color: #0c4c9a;
}

@media screen and (max-width: 860px){
    
    .encriptador {
        margin: 0;
    }

    .texto_en_area{
        height: 700px;
    }
    .info p {
        font-size: 12px;
    }

    .resultado {
        height: 100%;
        
    }

    .contenedor_resultado {
        width: 550px;
    }

    .imagen_resultado {
        display: none;
    }

    .contenido_resuelto button {
        top: 0px;
    }
}

@media screen and (max-width:600px){
    #texto {
        font-size: 25px;
    }
    .btn {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .btn_encriptar {
        width: 80%;
    }
    .btn_desencriptar {
        width: 80%;
        margin: 0;
    }

    .contenedor_resultado {
        width: 320px;
    }
}

